Skip to main content
POST
Upload face matchmakers

Authorizations

x-auth-apikey
string
header
required

Your Rhombus API key. Must be accompanied by the x-auth-scheme header set to api-token (or partner-api-token for partner endpoints).

Headers

x-auth-scheme
enum<string>
default:api-token
required

Authentication scheme identifier. Use api-token for standard API key authentication, partner-api-token for partner API key authentication. Must be paired with the x-auth-apikey header containing your API key.

Available options:
api-token,
api,
partner-api-token,
partner-api

Query Parameters

transaction
string | null

Unique transaction id to track the face matchmakers upload progress. If not specified, the system will generate it.

createPersonIfNotFound
boolean | null

If a person is not found and createPersonIfNotFound is set to true, a new person is created

Body

multipart/form-data

Multipart form-data containing a .jpg or .png file. Maximum file size: 5MB.

bodyParts
(object | null)[] | null
contentDisposition
object
entity
object | null
fields
object | null
headers
object | null
mediaType
object
messageBodyWorkers
object | null
parameterizedHeaders
object | null
parent
object | null
providers
object | null

Response

200 - application/json

OK

Response object for uploading face matchmakers with transaction tracking and upload results.

fileUploadResults
object[] | null

List of file upload results for each uploaded face matchmaker

transactionId
string | null

Transaction ID to track face matchmakers upload progress

Example:

"txn_12345"

Last modified on August 9, 2026